Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Server\Controller\Root Class Reference

Root controller. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Controller\Root:

## Public Member Functions
| __construct ($rootResourceBuilder)
| loadRootResource ()
| List the root resources of the eZ Publish installation. More...
| catchAll ()
| Catch-all for REST requests. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| setInputDispatcher (InputDispatcher $inputDispatcher)
| setRouter (RouterInterface $router)
| setRepository (Repository $repository)
| setRequestParser (RequestParser $requestParser)

## Private Attributes
| $rootResourceBuilder

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Controller
| getMediaType (Request $request)
| Extracts the requested media type from $request. More...
Protected Attributes inherited from eZ\Publish\Core\REST\Server\Controller
| $inputDispatcher
| $router
| $requestParser
| $repository

## Detailed Description

Root controller.

Definition at line 16 of file Server/Controller/Root.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Controller\Root::__construct | ( |  | $rootResourceBuilder | ) |

Definition at line 21 of file Server/Controller/Root.php.

References eZ\Publish\Core\REST\Server\Controller\Root\$rootResourceBuilder.

## Member Function Documentation

## ◆ catchAll()

eZ\Publish\Core\REST\Server\Controller\Root::catchAll | ( |  | ) |

Catch-all for REST requests.

Exceptions

Definition at line 41 of file Server/Controller/Root.php.

## ◆ loadRootResource()

eZ\Publish\Core\REST\Server\Controller\Root::loadRootResource | ( |  | ) |

List the root resources of the eZ Publish installation.

Returns
  \eZ\Publish\Core\REST\Common\Values\Root

Definition at line 31 of file Server/Controller/Root.php.

## Member Data Documentation

## ◆ $rootResourceBuilder

eZ\Publish\Core\REST\Server\Controller\Root::$rootResourceBuilder
| private

Definition at line 19 of file Server/Controller/Root.php.

Referenced by eZ\Publish\Core\REST\Server\Controller\Root\__construct().

The documentation for this class was generated from the following file:

- Server/Controller/Root.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.